 
function onBridgeReady(params) {
	console.log("onBridgeReady+"+new Date().getTime())
	
	uni.showLoading({
		mask:true,title:'加载中...'
	})
	//记录要回跳的url
	window.WeixinJSBridge.invoke(
		'getBrandWCPayRequest', {
			'appId': params.appId, // 公众号名称，由商户传入
			'timeStamp': params.timeStamp, // 时间戳，自1970年以来的秒数
			'nonceStr': params.nonceStr, // 随机串
			'package': params.package,
			'signType': params.signType, // 微信签名方式：
			'paySign': params.paySign // 微信签名
		},
		(res) => {
			//alert(JSON.stringify(res)); // 支付取消会执行 支付成功不会
			if (res.err_msg == 'get_brand_wcpay_request:ok') {
				//alert("支付成功") // 不会执行
				//window.location.href = params.url
			} else if (res.err_msg == "get_brand_wcpay_request:cancel") {
				//alert("支付取消") // 会执行
				 uni.hideLoading();
			} else {
				 uni.hideLoading();
			}
		}
	)
}

export const wxPayJs = (params) => {
	console.log("wxPayJs+"+new Date().getTime())
	
	if (typeof window.WeixinJSBridge === 'undefined') {
		if (document.addEventListener) {
			document.addEventListener('WeixinJSBridgeReady', function() {
				onBridgeReady(params)
			}, false)
		} else if (document.attachEvent) {
			document.attachEvent('WeixinJSBridgeReady', function() {
				onBridgeReady(params)
			})
			document.attachEvent('onWeixinJSBridgeReady', function() {
				onBridgeReady(params)
			})
		}
	} else {
		onBridgeReady(params)
	}
}
